Subject: Re: [PATCH v13 00/12] port tag.c to use ref-filter APIs

From: Junio C Hamano <[email-masked]>
Date: Mon, 24 Aug 2015 15:35:57 -0700

Junio C Hamano <[email-masked]> writes:

> Karthik Nayak <[email-masked]> writes:
>
>> On Mon, Aug 24, 2015 at 10:57 PM, Junio C Hamano <[email-masked]> wrote:
>>> Karthik Nayak <[email-masked]> writes:
>>> ...
>>>> +     performed. If used with '--quote' everything in between %(align:..)
>>>> +     and %(end) is quoted.
>> ...
>> I might have misunderstood you, But based on the discussion held here
>> (thread.gmane.org/gmane.comp.version-control.git/276140)
>> I thought we wanted everything inside the %(align) .... %(end) atoms
>> to be quoted.
>
> Perhaps I misunderstood your intention in the doc.
> 	
> I took "everything in between %(align:...) and %(end) is quoted" to
> mean that
>
> 	%(if:empty)%(align)%(end)%(then)Empty%(else)Not Empty%(end)
>
> can never satisfy %(if:empty), because %(align)%(end) would expand
> to a string that has two single-quotes, that is not an empty string.
>
> If that is not what would happen in the "branch --list" enhancement,
> then the proposed behaviour is good, but the above documentation would
> need to be updated when it happens, I think.  It at least is misleading.

OK, now I checked the code, and I _think_ the recursive logic is
doing the right thing (modulo minor nits on comment-vs-code
discrepancy and code structure I sent separately).